Download it now!
Bug 86738 - update old arrows with new sifr icons for next and previous element in sifr iconset
Summary: update old arrows with new sifr icons for next and previous element in sifr i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr-old
  Show dependency treegraph
 
Reported: 2014-11-26 12:28 UTC by retired
Modified: 2014-12-01 12:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
update sifr icons for next and previous element (16.19 KB, image/png)
2014-11-26 12:28 UTC, retired
Details
How it looks for me (8.57 KB, image/png)
2014-11-26 17:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description retired 2014-11-26 12:28:04 UTC
Created attachment 110058 [details]
update sifr icons for next and previous element

Open writer, and (on OS X) press cmd + f to open search.

The "Find Next" and "Find Previous" icons have already been updated.
"Next Element" and "Previous Element" still uses a non Sifr-icon.

Let's replace those arrows with the nice Sirf icons for a more consistent UX.
Comment 1 Jan Holesovsky 2014-11-26 13:43:59 UTC
Would be great if you could provide a patch for that.  How to do that:

- got to opengrok.libreoffice.org
- type "Next Element" (with the quotes) to Full Search:, and office* (without quotes, but with the asterisk) to File Path:, and touch [Search]
- click the "2326 <value xml:lang="en-US">Next Element</value>" in the result, and search around that what is the ".uno:" command for this (it is above the text) - in this case it is ".uno:ScrollToNext"

This way you know you have just found out what the icon for this "Next Element" is, because it is a lower-cased version of that; so it will be lc_scrolltonext.png for the large icon, and sc_scrolltonext.png for the small one.

Now you can similarly find out what is the icon name for "Find Next" (I'll use findnext_or_how_exactly_it_is_called.png) in the late text :-)

When you have both of them, it is enough to add an entry like

lc_scrolltonext.png lc_findnext_or_how_exactly_it_is_called.png
sc_scrolltonext.png sc_findnext_or_how_exactly_it_is_called.png

to

http://cgit.freedesktop.org/libreoffice/core/tree/icon-themes/sifr/links.txt

[this is a file that handles the non-existing icons that should reuse other existing ones]

To commit / push that, you can do yourself following the:

https://wiki.documentfoundation.org/Development/gerrit/setup

Thanks a lot!
Comment 2 Yousuf Philips (jay) (retired) 2014-11-26 17:34:19 UTC
Created attachment 110080 [details]
How it looks for me

Which version you running foss, as it is fixed on my end.

Version: 4.4.0.0.alpha2+
Build ID: 797db638870f5c6192e72c0b4669b471788e16ea
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-11-20_03:50:17
Comment 3 retired 2014-11-26 17:58:15 UTC
Version: 4.5.0.0.alpha0+
Build ID: 5c3f47e44c2a734bddd0c3fb7f1151d5096ac494
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2014-11-25_23:54:38
Locale: de_
Comment 4 Yousuf Philips (jay) (retired) 2014-11-29 11:56:27 UTC
Patch is in, but gerrit is done :D
Comment 5 Commit Notification 2014-12-01 06:17:58 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b458fde02bbfe17699515cca5c819c2e2304d9fb&h=libreoffice-4-4

fdo#86738 add links.txt references to next and previous buttons

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 retired 2014-12-01 12:13:11 UTC
verified on osx. thanks a lot jay!